2011年8月12日

[ruby-list:48315] Re: WinXPでnokogiインストール

(2011/08/12 10:27), AOKI Yoshihiro wrote:
> あおきと申します。
>
> WinXP SP3の環境で,
>
> 1. ruby 1.8.7 (2010-12-23 patchlevel 330) [i386-mswin32](中村さんの)
> 2. ruby 1.9.2p136 (2010-12-25 revision 30365) [i386-mswin32_100](ASR)
> 3. ruby 1.9.2p290 (2011-07-09 revision 32553) [i386-mswin32_100](自前コンパイル)


僕はRuby Installer http://rubyinstaller.org/)を使っています。
devkitも一緒に入れておくと「building native extension」のときも勝手に
やってくれて(VCとか不要)何も困りません。

試しにいまgem install nokogiriをやってみたら、以下のようになってnative
extensionのコンパイルは実行しませんでした。OSはWin7でRubyは「ruby 1.8.7
(2010-06-23 patchlevel 299) [i386-mingw32]」です。参考になれば。

C:\>gem install nokogiri
Successfully installed nokogiri-1.5.0-x86-mingw32
1 gem installed
Installing ri documentation for nokogiri-1.5.0-x86-mingw32...

No definition for get_options

No definition for set_options

No definition for parse_memory

No definition for parse_file

No definition for parse_with
Installing RDoc documentation for nokogiri-1.5.0-x86-mingw32...

No definition for get_options

No definition for set_options

No definition for parse_memory

No definition for parse_file

No definition for parse_with

--
松永肇一(keiichi matsunaga)
株式会社ライフメディア http://lifemedia.jp) 開発グループ


投稿者 xml-rpc : 2011年8月12日 15:37
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/105705
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。